/*
 * This file is part of MountyZilla (http://mountyzilla.tilk.info/),
 * published under GNU License v2.
 *
 * Script MountyZilla :
 * ~ Navigation rapide dans les menus de suivants ~
 */

if(!isPage("MH_Play/Play_equipement")
	&& !isPage("MH_Play/Play_Ceinture")
	&& !isPage("MH_Play/Play_e_follo")
	&& !isPage("MH_Play/Liste_Vente")
	&& !isPage("MH_Play/Play_e_enchantements")
	&& !isPage("MH_Play/Play_e_historics")
	&& !isPage("MH_Play/Play_e_consigne")
	&& !isPage("MH_Follower")) {
	return;
}

var orderRoot = "/mountyhall/MH_Follower/FO_Ordres.php?ai_IdFollower=";

function gogoGadgetAuListe() {
// Traitement de la page qui liste les gowaps
	try {
		// On extrait les nums de gowaps
		var gogoList = document.evaluate(
			".//form/table/descendant::table/tbody/tr/td[@class='mh_titre3']/a",
			document, null, 7, null);
		var listeGogos = [];
		for(var i=0 ; i<gogoList.snapshotLength ; i++) {
			listeGogos.push(trim(
				gogoList.snapshotItem(i).firstChild.nodeValue
				.replace(" Apprivois","")
			));
			// gogoGadgetAuRaccourci:
			gogoList.snapshotItem(i).href =
				gogoList.snapshotItem(i).href.replace(/Profil/,"Ordres");
		}
		MZ_setValue(numTroll+".SUIVANTS",listeGogos.join(";"));
	} catch(e) {
		avertissement("[gogoGadget] Liste de suivants non trouve");
		return;
	}
}

function gogoGadgetAuMenuDeroulant() {
// Modification de l'item "Suivants" dans les menus 'nav'
	// On teste la prsence d'un item "Suivants" dans un menu 'nav'
	try {
		var nav = document.getElementById("menu-evt");
		var parent = document.evaluate(
			"./div/ul/li[contains(a/text(),'Suivants')]",
			nav, null, 9, null
		).singleNodeValue;
	}	catch(e) {
		avertissement("[gogoGadget] Type de page inconnu");
		return;
	}
	
	// Injection CSS perso
	var style = document.createElement("style");
	style.type = "text/css";
	var css = "nav.mh_h li select {"+
		"padding: 7px 1px;"+
		"width: 12%;"+
		"background-image: url("+
			"'/MH_Packs/packMH_parchemin/tableau/tableau1.jpg'"+
		");"+
		"border: 1px solid #000;"+
		"display: inline-block;"+
		"font-weight: bold;"+
		"margin: 1px 2px;"+
		"text-align: center;"+
		"text-decoration: none;"+
	"}";
	appendText(style,css);
	document.head.appendChild(style);
	
	// Remplacement du bouton [Suivants] par un menu droulant
	var listeSuivants = MZ_getValue(numTroll+".SUIVANTS").split(";");
	var lienSuivants = document.evaluate(
		"./a[contains(text(),'Suivants')]",
		parent, null, 9, null
	).singleNodeValue;
	var menuGogos = document.createElement("select");
	menuGogos.id = "menuGogos";
	menuGogos.className = "SelectboxV2";
	appendOption(menuGogos,0,"Suivants:");
	appendOption(menuGogos,1,"~ Liste des suivants ~");
	for(var i=0 ; i<listeSuivants.length ; i++) {
		appendOption(menuGogos,parseInt(listeSuivants[i]),listeSuivants[i]);
	}
	menuGogos.onchange = gogoGadgetAuHandler;
	lienSuivants.style.display = "none";
	parent.appendChild(menuGogos);
}

function gogoGadgetAuHandler() {
	try {
		var menuGogos = document.getElementById("menuGogos");
	} catch(e) {
		return;
	}
	if(menuGogos.value>1) {
		window.open(orderRoot+menuGogos.value,"Contenu");
	} else if(menuGogos.value==1) {
		window.open("/mountyhall/MH_Play/Play_e_follo.php","Contenu");
	}
}

/* Main dispatch */
if(isPage("MH_Play/Play_e_follo")) {
	gogoGadgetAuListe();
}
if(MZ_getValue(numTroll+".SUIVANTS")) {
	gogoGadgetAuMenuDeroulant();
}
